### Hierarchy

- Error
  - ArgumentError

## Index

### Constructors

- constructor

### Properties

- errorID
- message
- name

### Methods

- getStackTrace

## Constructors

### constructor

- new ArgumentError(message?: string, id?: number): ArgumentError

- Inherited from Error.constructor

  - Defined in lib/openfl/errors/Error.d.ts:13

  #### Parameters

  - ##### Optional message: string

  - ##### Optional id: number

  #### Returns ArgumentError

## Properties

### errorID

errorID: number

Inherited from Error.errorID

- Defined in lib/openfl/errors/Error.d.ts:11

### message

message: string

Inherited from Error.message

- Defined in lib/openfl/errors/Error.d.ts:12

### name

name: string

Inherited from Error.name

- Defined in lib/openfl/errors/Error.d.ts:13

## Methods

### getStackTrace

- getStackTrace(): string

- Inherited from Error.getStackTrace

  - Defined in lib/openfl/errors/Error.d.ts:22

  #### Returns string

Generated using TypeDoc